package com.qmth.distributed.print.business.mapper;

import com.qmth.distributed.print.business.bean.dto.CourseWeightFormDto;
import com.qmth.distributed.print.business.entity.CourseWeight;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 课程权重设置 Mapper 接口
 * </p>
 *
 * @author CaoZixuan
 * @since 2024-02-22
 */
public interface CourseWeightMapper extends BaseMapper<CourseWeight> {

    /**
     * 获取权重表单
     * @param teachCourseId 教学课程id
     * @return 表单
     */
    List<CourseWeightFormDto> findCourseWeightForm(@Param("teachCourseId") Long teachCourseId);
}
