package com.qmth.teachcloud.common.mapper;

import com.qmth.teachcloud.common.base.CustomBaseMapper;
import com.qmth.teachcloud.common.bean.dto.SchoolDto;
import com.qmth.teachcloud.common.entity.BasicSchool;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 学校表 Mapper 接口
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
public interface BasicSchoolMapper extends CustomBaseMapper<BasicSchool> {

    List<SchoolDto> listSchool(@Param("code") String code);
}
