package com.qmth.teachcloud.mark.service;

import com.qmth.teachcloud.mark.entity.ScanBatch;
import com.qmth.teachcloud.mark.entity.ScanBatchPaper;
import com.qmth.teachcloud.mark.entity.ScanPaper;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
public interface ScanBatchPaperService extends IService<ScanBatchPaper> {

	ScanBatchPaper findByBatchIdAndStudentIdAndPaperNumber(Long batchId, Long studentId, Integer paperIndex);

	void update(ScanBatch batch, ScanPaper paper, Long studentId, Integer paperNumber);

}
